Package io.flutter.embedding.android

## Enum KeyData.Type

- java.lang.Object
- - java.lang.Enum<KeyData.Type>
  - - io.flutter.embedding.android.KeyData.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeyData.Type>`
  Enclosing class:
    KeyData

      public static enum KeyData.Type
      extends Enum<KeyData.Type>

  The action type of the key data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `kDown` |
    `kRepeat` |
    `kUp` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getValue()` |
    `static KeyData.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeyData.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kDown

          public static final KeyData.Type kDown

    - #### kUp

          public static final KeyData.Type kUp

    - #### kRepeat

          public static final KeyData.Type kRepeat

  - ### Method Detail

    - #### values

          public static KeyData.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyData.Type c : KeyData.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyData.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public long getValue()